Folders
Retrieve a list of all file access folders.
Site ID for which to retrieve file access folders (optional)
Filter the result by name (optional)
Success
File Access folder
ID of the object.
User who created the object.
User who last modified the object.
Time when the object was created.
Time when the object was last modified.
Inherit Maintenance.
Replicate Maintenance.
Name of the published item.
RAS File Access Objects
ID of the parent folder of the published item.
ID of the previous published item.
Description of the published item.
Published resource availability modes.
Whether the published item is enabled or not.
List of the IDs of all the sites this item is published to.
Whether there are admin rights only for this folder or not.
Unauthorized
Not Found
GET /api/FileAccess/Folders HTTP/1.1
Accept: */*
[
{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"maintenanceMessages": {
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"maintenanceMessage_de_DE": "text"
},
"inheritMaintenance": true,
"replicateMaintenance": true,
"name": "text",
"type": [
"0 = Any",
"1 = Folder",
"2 = Drive"
],
"parentId": 1,
"previousId": 1,
"description": "text",
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"enabled": true,
"publishToSite": [
1
],
"filter": {
"rules": [
{
"id": 1,
"priority": 1,
"enabled": true,
"name": "text",
"description": "text",
"criteria": {
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
}
}
],
"default": [
"0 = Deny",
"1 = Allow"
]
},
"adminOnly": true
}
]Add a file access folder to a site.
Input model for creating a File Access folder item.
Whether the option 'Replicate Maintenance' is enabled or not.
Whether to inherit default Maintenance settings.
Published resource availability modes.
Maintenance message for the published resource in English.
Maintenance message for the published resource in Japanese.
Maintenance message for the published resource in French.
Maintenance message for the published resource in Spanish.
Maintenance message for the published resource in Italian.
Maintenance message for the published resource in Portuguese.
Maintenance message for the published resource in German.
Maintenance message for the published resource in Dutch.
Maintenance message for the published resource in Chinese (Traditional).
Maintenance message for the published resource in Chinese (Simplified).
Maintenance message for the published resource in Korean.
Published resource description.
An array of Sites IDs to which to publish a resource.
Site ID in which to publish the specified Item. If the parameter is omitted, the site ID of the Licensing Server will be used.
File access item name.
Parent file access folder ID.
Previous file access item ID.
Specifies whether only administrators can access the folder.
falseCreated
File Access folder
ID of the object.
User who created the object.
User who last modified the object.
Time when the object was created.
Time when the object was last modified.
Inherit Maintenance.
Replicate Maintenance.
Name of the published item.
RAS File Access Objects
ID of the parent folder of the published item.
ID of the previous published item.
Description of the published item.
Published resource availability modes.
Whether the published item is enabled or not.
List of the IDs of all the sites this item is published to.
Whether there are admin rights only for this folder or not.
Unauthorized
Conflict
POST /api/FileAccess/Folders HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 607
{
"replicateMaintenance": true,
"inheritMaintenance": true,
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_de_DE": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"description": "text",
"publishToSiteIds": [
1
],
"siteId": 1,
"name": "text",
"parentId": 1,
"previousId": 1,
"adminOnly": false
}{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"maintenanceMessages": {
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"maintenanceMessage_de_DE": "text"
},
"inheritMaintenance": true,
"replicateMaintenance": true,
"name": "text",
"type": [
"0 = Any",
"1 = Folder",
"2 = Drive"
],
"parentId": 1,
"previousId": 1,
"description": "text",
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"enabled": true,
"publishToSite": [
1
],
"filter": {
"rules": [
{
"id": 1,
"priority": 1,
"enabled": true,
"name": "text",
"description": "text",
"criteria": {
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
}
}
],
"default": [
"0 = Deny",
"1 = Allow"
]
},
"adminOnly": true
}Retrieve information about a specified file access folder.
ID of the file access folder to be retrieved
Success
File Access folder
ID of the object.
User who created the object.
User who last modified the object.
Time when the object was created.
Time when the object was last modified.
Inherit Maintenance.
Replicate Maintenance.
Name of the published item.
RAS File Access Objects
ID of the parent folder of the published item.
ID of the previous published item.
Description of the published item.
Published resource availability modes.
Whether the published item is enabled or not.
List of the IDs of all the sites this item is published to.
Whether there are admin rights only for this folder or not.
Unauthorized
Not Found
GET /api/FileAccess/{id}/Folders HTTP/1.1
Accept: */*
{
"id": 1,
"adminCreate": "text",
"adminLastMod": "text",
"timeCreate": "2026-01-01T00:00:00.000Z",
"timeLastMod": "2026-01-01T00:00:00.000Z",
"maintenanceMessages": {
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"maintenanceMessage_de_DE": "text"
},
"inheritMaintenance": true,
"replicateMaintenance": true,
"name": "text",
"type": [
"0 = Any",
"1 = Folder",
"2 = Drive"
],
"parentId": 1,
"previousId": 1,
"description": "text",
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"enabled": true,
"publishToSite": [
1
],
"filter": {
"rules": [
{
"id": 1,
"priority": 1,
"enabled": true,
"name": "text",
"description": "text",
"criteria": {
"securityPrincipals": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"account": "text",
"type": [
"1 = User",
"2 = Group",
"3 = ForeignSecurityPrincipal",
"4 = Computer"
],
"sid": "text"
}
]
},
"gateways": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"gatewayIP": "text"
}
]
},
"oSs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedOSes": {
"android": true,
"webClient": true,
"iOS": true,
"linux": true,
"mac": true,
"wyse": true,
"windows": true
}
},
"iPs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"allowedIPs": {
"iPv4s": [
{
"from": "text",
"to": "text"
}
],
"iPv6s": [
{
"from": "text",
"to": "text"
}
]
}
},
"hardwareIDs": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"hardwareID": "text"
}
]
},
"access": [
"0 = DenyCriteriaWhen",
"1 = AllowCriteriaWhen"
],
"devices": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"members": [
{
"client": "text"
}
]
},
"themes": {
"enabled": true,
"matchingMode": [
"0 = IsNotOneOfTheFollowing",
"1 = IsOneOfTheFollowing"
],
"ids": [
1
]
}
}
}
],
"default": [
"0 = Deny",
"1 = Allow"
]
},
"adminOnly": true
}Modify properties of a file access folder.
ID of the file access folder to be updated
Input model for updating a File Access folder item.
Replicate Maintenance
Inherit Maintenance
Published resource availability modes.
Maintenance message for the published resource in English.
Maintenance message for the published resource in Japanese.
Maintenance message for the published resource in French.
Maintenance message for the published resource in Spanish.
Maintenance message for the published resource in Italian.
Maintenance message for the published resource in Portuguese.
Maintenance message for the published resource in Dutch.
Maintenance message for the published resource in German.
Maintenance message for the published resource in Chinese (Traditional).
Maintenance message for the published resource in Chinese (Simplified).
Maintenance message for the published resource in Korean.
Published resource description.
An array of sites to which to publish a resource.
A new name to assign to the file access item.
Specifies whether only administrators can access the folder.
No Content
No content
Unauthorized
Not Found
PUT /api/FileAccess/{id}/Folders HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 567
{
"replicateMaintenance": true,
"inheritMaintenance": true,
"enabledMode": [
"0 = Disabled",
"1 = Enabled",
"2 = Maintenance"
],
"maintenanceMessage_en_US": "text",
"maintenanceMessage_ja_JP": "text",
"maintenanceMessage_fr_FR": "text",
"maintenanceMessage_es_ES": "text",
"maintenanceMessage_it_IT": "text",
"maintenanceMessage_pt_BR": "text",
"maintenanceMessage_nl_NL": "text",
"maintenanceMessage_de_DE": "text",
"maintenanceMessage_zh_TW": "text",
"maintenanceMessage_zh_CN": "text",
"maintenanceMessage_ko_KR": "text",
"description": "text",
"publishToSiteIds": [
1
],
"name": "text",
"adminOnly": true
}No content
Delete a file access folder.
ID of the file access folder to be deleted
No Content
No content
Unauthorized
Not Found
DELETE /api/FileAccess/{id}/Folders HTTP/1.1
Accept: */*
No content
Last updated